import type { Node, ResolvedPos } from 'prosemirror-model';
import { Selection } from 'prosemirror-state';
import type { Mapping } from 'prosemirror-transform';
export declare function isGapCursorSelection<T>(selection: Selection): selection is GapCursorSelection<T>;
export declare class GapCursorSelection<T = any> extends Selection {
    #private;
    readonly meta?: T;
    readonly selectionName = "GapCursorSelection";
    get $pos(): ResolvedPos;
    get pos(): number;
    constructor($pos: ResolvedPos, params?: {
        meta?: T;
    });
    eq(other: Selection): boolean;
    map(doc: Node, mapping: Mapping): Selection;
}
